FIXKRF(1)

NAME
fixkrf - Fixes DNSSEC-Tools keyrec files whose encryption key files have been moved

SYNOPSIS
  fixkrf [options] <keyrec-file> <dir 1> ... <dir N>

DESCRIPTION
fixkrf checks a specified keyrec file to ensure that the referenced encryption key files exist where listed. If a key is not where the keyrec specifies it should be, then fixkrf will search the given directories for those keys and adjust the keyrec to match reality. If a key of a particular filename is found in multiple places, a warning will be printed and the keyrec file will not be changed for that key.

OPTIONS

-list
    Display output about missing keys, but don't fix the keyrec file.

-verbose
    Display output about found keys as well as missing keys.

-Version
    Display version information for fixkrf and DNSSEC-Tools.

-help
    Display a usage message.

COPYRIGHT
Copyright 2004-2014 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHOR
Wayne Morrison, tewok@tislabs.com

SEE ALSO
cleankrf(8), genkrf(8), lskrf(8), zonesigner(8)

Net::DNS::SEC::Tools::keyrec.pm(3)

file-keyrec.pm(5)